FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::BoxTypeStorage Struct Reference

Boxed object (a Fortran descriptor) More...

Inheritance diagram for fir::detail::BoxTypeStorage:

## Public Types
using | KeyTy = std::tuple< mlir::Type, mlir::AffineMapAttr >

## Public Member Functions
bool | operator== (const KeyTy &key) const
mlir::Type | getElementType () const
mlir::AffineMapAttr | getLayoutMap () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static BoxTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, const KeyTy &key)

## Protected Attributes
mlir::Type | eleTy
mlir::AffineMapAttr | map

## Detailed Description

Boxed object (a Fortran descriptor)

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp